Package org.apache.commons.math3.geometry.enclosing

# Interface Encloser<S extends Space,P extends Point<S>>

Type Parameters:
  `S` - Space type.
  `P` - Point type.

All Known Implementing Classes:
  `WelzlEncloser`

public interface Encloser<S extends Space,P extends Point<S>>
Interface for algorithms computing enclosing balls.

Since:
  3.3
See Also:
  - `EnclosingBall`

## Method Summary

Modifier and Type
Method
Description
`EnclosingBall<S,P>`
`enclose(Iterable<P> points)`
Find a ball enclosing a list of points.

## Method Details

### enclose

EnclosingBall<S,P> enclose(Iterable<P> points)
Find a ball enclosing a list of points.

Parameters:
  `points` - points to enclose
Returns:
  enclosing ball